NX Open C++ Reference Guide
|
Represents a @link Features::SectionCurve Features::SectionCurve@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateSectionCurveBuilder Features::FeatureCollection::CreateSectionCurveBuilder @endlink <br>
Default values. More...
Public Types | |
enum | PlaneType { PlaneTypeSelected, PlaneTypeParallel, PlaneTypeRadial, PlaneTypePerpendicularToCurve } |
Represents section plane type. More... | |
enum | SpacingType { SpacingTypeEqualArcLength, SpacingTypeEqualParameterSpacing, SpacingTypeGeometricProgressionSpacing, SpacingTypeChordalToleranceSpacing, SpacingTypeIncrementalArclengthSpacing } |
Represents spacing type. More... | |
Public Member Functions | |
bool | Associative () |
Returns the associativity Created in NX5.0.0. | |
NXOpen::ISurface * | BasePlane () |
Returns the base plane Created in NX5.0.0. | |
double | ChordalTolerance () |
Returns the chordal tolerance Created in NX5.0.0. | |
NXOpen::GeometricUtilities::CurveFitData * | CurveFitData () |
Returns the curve fit settings Created in NX8.0.0. | |
NXOpen::GeometricUtilities::CurveFitJoin * | CurveFitJoinOptions () |
Returns the curve fit join option. | |
NXOpen::SelectObject * | CurveForPerpendicularPlane () |
Returns the curve for perpendicular to curve type Created in NX5.0.0. | |
double | EndAngle () |
Returns the end angle Created in NX5.0.0. | |
double | EndDistance () |
Returns the the end distance Created in NX5.0.0. | |
double | EndPercentage () |
Returns the end percentage. | |
std::vector< NXOpen::Group * > | GetOutputGroups () |
Gets the output groups for non-associated output curve. | |
bool | GroupObjects () |
Returns the grouping Created in NX5.0.0. | |
double | Increment () |
Returns the increment Created in NX5.0.0. | |
int | NumberOfCopies () |
Returns the number of copies Created in NX5.0.0. | |
NXOpen::SelectObjectList * | ObjectsToSection () |
Returns the selected objects Created in NX5.0.0. | |
bool | OutputPoints () |
Returns the output points Created in NX5.0.0. | |
NXOpen::Point * | RadialPlanePoint () |
Returns the point for radial plane type Created in NX5.0.0. | |
NXOpen::Direction * | RadialPlaneVector () |
Returns the vector for radial plane type Created in NX5.0.0. | |
double | Ratio () |
Returns the ratio Created in NX5.0.0. | |
double | SampleDistance () |
Returns the sample distance Created in NX5.0.0. | |
NXOpen::Plane * | SectionPlane () |
Returns the plane Created in NX5.0.0. | |
NXOpen::SelectObjectList * | SectionPlanes () |
Returns the selected planes Created in NX5.0.0. | |
void | SetAssociative (bool associative) |
Sets the associativity Created in NX5.0.0. | |
void | SetBasePlane (NXOpen::ISurface *basePlane) |
Sets the base plane Created in NX5.0.0. | |
void | SetChordalTolerance (double chordalTolerance) |
Sets the chordal tolerance Created in NX5.0.0. | |
void | SetEndAngle (double endAngle) |
Sets the end angle Created in NX5.0.0. | |
void | SetEndDistance (double endDistance) |
Sets the the end distance Created in NX5.0.0. | |
void | SetEndPercentage (double endPercentage) |
Sets the end percentage. | |
void | SetGroupObjects (bool groupObjects) |
Sets the grouping Created in NX5.0.0. | |
void | SetIncrement (double increment) |
Sets the increment Created in NX5.0.0. | |
void | SetNumberOfCopies (int numberOfCopies) |
Sets the number of copies Created in NX5.0.0. | |
void | SetOutputPoints (bool outputPoints) |
Sets the output points Created in NX5.0.0. | |
void | SetRadialPlanePoint (NXOpen::Point *radialPlanePoint) |
Sets the point for radial plane type Created in NX5.0.0. | |
void | SetRadialPlaneVector (NXOpen::Direction *radialPlaneVector) |
Sets the vector for radial plane type Created in NX5.0.0. | |
void | SetRatio (double ratio) |
Sets the ratio Created in NX5.0.0. | |
void | SetSampleDistance (double sampleDistance) |
Sets the sample distance Created in NX5.0.0. | |
void | SetSectionPlane (NXOpen::Plane *sectionPlane) |
Sets the plane Created in NX5.0.0. | |
void | SetSpacingAlongCurveType (NXOpen::Features::SectionCurveBuilder::SpacingType spacingAlongCurve) |
Sets the type of spacing. | |
void | SetStartAngle (double startAngle) |
Sets the start angle Created in NX5.0.0. | |
void | SetStartDistance (double startDistance) |
Sets the the start distance Created in NX5.0.0. | |
void | SetStartPercentage (double startPercentage) |
Sets the start percentage. | |
void | SetStepAngle (double stepAngle) |
Sets the step angle Created in NX5.0.0. | |
void | SetStepDistance (double stepDistance) |
Sets the step distance Created in NX5.0.0. | |
void | SetTolerance (double tolerance) |
Sets the tolerance Created in NX5.0.0. | |
void | SetType (NXOpen::Features::SectionCurveBuilder::PlaneType type) |
Sets the type of the section curve builder. | |
NXOpen::Features::SectionCurveBuilder::SpacingType | SpacingAlongCurveType () |
Returns the type of spacing. | |
double | StartAngle () |
Returns the start angle Created in NX5.0.0. | |
double | StartDistance () |
Returns the the start distance Created in NX5.0.0. | |
double | StartPercentage () |
Returns the start percentage. | |
double | StepAngle () |
Returns the step angle Created in NX5.0.0. | |
double | StepDistance () |
Returns the step distance Created in NX5.0.0. | |
double | Tolerance () |
Returns the tolerance Created in NX5.0.0. | |
NXOpen::Features::SectionCurveBuilder::PlaneType | Type () |
Returns the type of the section curve builder. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link Features::SectionCurve Features::SectionCurve@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateSectionCurveBuilder Features::FeatureCollection::CreateSectionCurveBuilder @endlink <br>
Default values.
Property | Value |
---|---|
Associative |
True |
CurveFitData.CurveJoinMethod |
No |
CurveFitData.Degree |
7 |
CurveFitData.FitMethod |
DegreeAndSegments |
CurveFitData.IsAdvancedFit |
0 |
CurveFitData.IsAlignShape |
0 |
CurveFitData.MaximumDegree |
7 |
CurveFitData.MaximumSegments |
1 |
CurveFitData.MinimumDegree |
5 |
CurveFitData.Segments |
1 |
CurveFitJoinOptions.CurveFitOptions.FitOption |
Cubic |
CurveFitJoinOptions.CurveFitOptions.MaximumDegree |
7 |
CurveFitJoinOptions.CurveFitOptions.MaximumSegments |
1 |
EndAngle |
20.0 |
EndDistance |
10.0 (millimeters part), 0.5 (inches part) |
EndPercentage |
100.0 |
GroupObjects |
False |
Increment |
5.0 (millimeters part), 0.25 (inches part) |
NumberOfCopies |
2 |
OutputPoints |
False |
Ratio |
1.0 |
SampleDistance |
1.0 (millimeters part), 0.04 (inches part) |
SpacingAlongCurveType |
EqualArcLength |
StartAngle |
0.0 |
StartDistance |
0.0 (millimeters part), 0.0 (inches part) |
StartPercentage |
0.0 |
StepAngle |
10.0 |
StepDistance |
5.0 (millimeters part), 0.25 (inches part) |
Type |
Selected |
Created in NX5.0.0.
Represents section plane type.
Represents spacing type.
bool NXOpen::Features::SectionCurveBuilder::Associative | ( | ) |
Returns the associativity
Created in NX5.0.0.
License requirements : None
NXOpen::ISurface* NXOpen::Features::SectionCurveBuilder::BasePlane | ( | ) |
Returns the base plane
Created in NX5.0.0.
License requirements : None
double NXOpen::Features::SectionCurveBuilder::ChordalTolerance | ( | ) |
Returns the chordal tolerance
Created in NX5.0.0.
License requirements : None
NXOpen::GeometricUtilities::CurveFitData* NXOpen::Features::SectionCurveBuilder::CurveFitData | ( | ) |
Returns the curve fit settings
Created in NX8.0.0.
License requirements : None
NXOpen::GeometricUtilities::CurveFitJoin* NXOpen::Features::SectionCurveBuilder::CurveFitJoinOptions | ( | ) |
Returns the curve fit join option.
Created in NX5.0.0.
License requirements : None
NXOpen::SelectObject* NXOpen::Features::SectionCurveBuilder::CurveForPerpendicularPlane | ( | ) |
Returns the curve for perpendicular to curve type
Created in NX5.0.0.
License requirements : None
double NXOpen::Features::SectionCurveBuilder::EndAngle | ( | ) |
Returns the end angle
Created in NX5.0.0.
License requirements : None
double NXOpen::Features::SectionCurveBuilder::EndDistance | ( | ) |
Returns the the end distance
Created in NX5.0.0.
License requirements : None
double NXOpen::Features::SectionCurveBuilder::EndPercentage | ( | ) |
Returns the end percentage.
Created in NX5.0.0.
License requirements : None
std::vector<NXOpen::Group *> NXOpen::Features::SectionCurveBuilder::GetOutputGroups | ( | ) |
Gets the output groups for non-associated output curve.
bool NXOpen::Features::SectionCurveBuilder::GroupObjects | ( | ) |
Returns the grouping
Created in NX5.0.0.
License requirements : None
double NXOpen::Features::SectionCurveBuilder::Increment | ( | ) |
Returns the increment
Created in NX5.0.0.
License requirements : None
int NXOpen::Features::SectionCurveBuilder::NumberOfCopies | ( | ) |
Returns the number of copies
Created in NX5.0.0.
License requirements : None
NXOpen::SelectObjectList* NXOpen::Features::SectionCurveBuilder::ObjectsToSection | ( | ) |
Returns the selected objects
Created in NX5.0.0.
License requirements : None
bool NXOpen::Features::SectionCurveBuilder::OutputPoints | ( | ) |
Returns the output points
Created in NX5.0.0.
License requirements : None
NXOpen::Point* NXOpen::Features::SectionCurveBuilder::RadialPlanePoint | ( | ) |
Returns the point for radial plane type
Created in NX5.0.0.
License requirements : None
NXOpen::Direction* NXOpen::Features::SectionCurveBuilder::RadialPlaneVector | ( | ) |
Returns the vector for radial plane type
Created in NX5.0.0.
License requirements : None
double NXOpen::Features::SectionCurveBuilder::Ratio | ( | ) |
Returns the ratio
Created in NX5.0.0.
License requirements : None
double NXOpen::Features::SectionCurveBuilder::SampleDistance | ( | ) |
Returns the sample distance
Created in NX5.0.0.
License requirements : None
NXOpen::Plane* NXOpen::Features::SectionCurveBuilder::SectionPlane | ( | ) |
Returns the plane
Created in NX5.0.0.
License requirements : None
NXOpen::SelectObjectList* NXOpen::Features::SectionCurveBuilder::SectionPlanes | ( | ) |
Returns the selected planes
Created in NX5.0.0.
License requirements : None
void NXOpen::Features::SectionCurveBuilder::SetAssociative | ( | bool | associative | ) |
Sets the associativity
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
associative | associative |
void NXOpen::Features::SectionCurveBuilder::SetBasePlane | ( | NXOpen::ISurface * | basePlane | ) |
Sets the base plane
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
basePlane | base plane |
void NXOpen::Features::SectionCurveBuilder::SetChordalTolerance | ( | double | chordalTolerance | ) |
Sets the chordal tolerance
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
chordalTolerance | chordal tolerance |
void NXOpen::Features::SectionCurveBuilder::SetEndAngle | ( | double | endAngle | ) |
Sets the end angle
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
endAngle | end angle |
void NXOpen::Features::SectionCurveBuilder::SetEndDistance | ( | double | endDistance | ) |
Sets the the end distance
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
endDistance | end distance |
void NXOpen::Features::SectionCurveBuilder::SetEndPercentage | ( | double | endPercentage | ) |
Sets the end percentage.
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
endPercentage | end percentage |
void NXOpen::Features::SectionCurveBuilder::SetGroupObjects | ( | bool | groupObjects | ) |
Sets the grouping
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
groupObjects | group objects |
void NXOpen::Features::SectionCurveBuilder::SetIncrement | ( | double | increment | ) |
Sets the increment
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
increment | increment |
void NXOpen::Features::SectionCurveBuilder::SetNumberOfCopies | ( | int | numberOfCopies | ) |
Sets the number of copies
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
numberOfCopies | numberofcopies |
void NXOpen::Features::SectionCurveBuilder::SetOutputPoints | ( | bool | outputPoints | ) |
Sets the output points
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
outputPoints | output points |
void NXOpen::Features::SectionCurveBuilder::SetRadialPlanePoint | ( | NXOpen::Point * | radialPlanePoint | ) |
Sets the point for radial plane type
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
radialPlanePoint | radial plane point |
void NXOpen::Features::SectionCurveBuilder::SetRadialPlaneVector | ( | NXOpen::Direction * | radialPlaneVector | ) |
Sets the vector for radial plane type
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
radialPlaneVector | radial plane vector |
void NXOpen::Features::SectionCurveBuilder::SetRatio | ( | double | ratio | ) |
Sets the ratio
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
ratio | ratio |
void NXOpen::Features::SectionCurveBuilder::SetSampleDistance | ( | double | sampleDistance | ) |
Sets the sample distance
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
sampleDistance | sample distance |
void NXOpen::Features::SectionCurveBuilder::SetSectionPlane | ( | NXOpen::Plane * | sectionPlane | ) |
Sets the plane
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
sectionPlane | section plane |
void NXOpen::Features::SectionCurveBuilder::SetSpacingAlongCurveType | ( | NXOpen::Features::SectionCurveBuilder::SpacingType | spacingAlongCurve | ) |
Sets the type of spacing.
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
spacingAlongCurve | spacing along curve |
void NXOpen::Features::SectionCurveBuilder::SetStartAngle | ( | double | startAngle | ) |
Sets the start angle
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
startAngle | start angle |
void NXOpen::Features::SectionCurveBuilder::SetStartDistance | ( | double | startDistance | ) |
Sets the the start distance
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
startDistance | start distance |
void NXOpen::Features::SectionCurveBuilder::SetStartPercentage | ( | double | startPercentage | ) |
Sets the start percentage.
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
startPercentage | start percentage |
void NXOpen::Features::SectionCurveBuilder::SetStepAngle | ( | double | stepAngle | ) |
Sets the step angle
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
stepAngle | step angle |
void NXOpen::Features::SectionCurveBuilder::SetStepDistance | ( | double | stepDistance | ) |
Sets the step distance
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
stepDistance | step distance |
void NXOpen::Features::SectionCurveBuilder::SetTolerance | ( | double | tolerance | ) |
Sets the tolerance
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
tolerance | tolerance |
void NXOpen::Features::SectionCurveBuilder::SetType | ( | NXOpen::Features::SectionCurveBuilder::PlaneType | type | ) |
Sets the type of the section curve builder.
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
type | type |
NXOpen::Features::SectionCurveBuilder::SpacingType NXOpen::Features::SectionCurveBuilder::SpacingAlongCurveType | ( | ) |
Returns the type of spacing.
Created in NX5.0.0.
License requirements : None
double NXOpen::Features::SectionCurveBuilder::StartAngle | ( | ) |
Returns the start angle
Created in NX5.0.0.
License requirements : None
double NXOpen::Features::SectionCurveBuilder::StartDistance | ( | ) |
Returns the the start distance
Created in NX5.0.0.
License requirements : None
double NXOpen::Features::SectionCurveBuilder::StartPercentage | ( | ) |
Returns the start percentage.
Created in NX5.0.0.
License requirements : None
double NXOpen::Features::SectionCurveBuilder::StepAngle | ( | ) |
Returns the step angle
Created in NX5.0.0.
License requirements : None
double NXOpen::Features::SectionCurveBuilder::StepDistance | ( | ) |
Returns the step distance
Created in NX5.0.0.
License requirements : None
double NXOpen::Features::SectionCurveBuilder::Tolerance | ( | ) |
Returns the tolerance
Created in NX5.0.0.
License requirements : None
NXOpen::Features::SectionCurveBuilder::PlaneType NXOpen::Features::SectionCurveBuilder::Type | ( | ) |
Returns the type of the section curve builder.
Created in NX5.0.0.
License requirements : None